> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/introduction/the-output-module-query-language/filtering-operators.md).

# Filtering operators

| Operator            | Reverse Operator    | Parameters   | Type compatibility    | Description                                                                                                                                                                     |
| ------------------- | ------------------- | ------------ | --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| EQUALS              | NOT\_EQUALS         | 1            | Text, Number, Boolean | Equal/not equal to the value.                                                                                                                                                   |
| STARTS\_WITH        | NOT\_STARTS\_WITH   | 1            | Text                  | The text starts/does not start with characters.                                                                                                                                 |
| STARTS\_WITH\_DIGIT | /                   | Optional     | Text                  | The text starts with a digit. The optional parameter is a pair of upper and lower boundaries separated by a comma. For example, "3, 8" means any digit from 3 to 8 is included. |
| ENDS\_WITH          | NOT\_ENDS\_WITH     | 1            | Text                  | The text ends/does not end with characters.                                                                                                                                     |
| INCLUDES            | NOT\_INCLUDES       | 1            | Text                  | The text contains/does not contain the characters.                                                                                                                              |
| LESS                | GREATER             | 1            | Number                | The value is strictly less than/greater than the value.                                                                                                                         |
| LESS\_OR\_EQUALS    | GREATER\_OR\_EQUALS | 1            | Number                | The value is less than or equal to/greater than or equal to the value.                                                                                                          |
| BETWEEN             | /                   | 2            | Number                | The value is included within the values.                                                                                                                                        |
| NULL                | NOT\_NULL           | None         | Text, Number, Boolean | Absence/presence of value.                                                                                                                                                      |
| IN                  | NOT\_IN             | Collection   | Text, Number, Boolean | The value is in/not in the set of values.                                                                                                                                       |
| EXISTS              | NOT\_EXISTS         | 1 (optional) | n/a                   | See below.                                                                                                                                                                      |
| CR\_FILTER\_DOMAIN  | /                   | 1            | n/a                   | `ComplexRelation` specific filter. Includes only complex relations with at least one related asset in the domain.                                                               |

The following table shows samples for each operator.&#x20;

<table><thead><tr><th>Operator</th><th>Example</th></tr></thead><tbody><tr><td>EQUALS</td><td><pre><code>{ "Field": { "name": "domainName", "operator": "EQUALS", "value": "New Business Terms" } }
</code></pre></td></tr><tr><td>STARTS_WITH</td><td><pre><code>{ "Field": { "name": "domainName", "operator": "STARTS_WITH", "value": "New" } }
</code></pre></td></tr><tr><td>STARTS_WITH_DIGIT</td><td><pre><code>{ "Field": { "name": "assetName", "operator": "STARTS_WITH_DIGIT" } }
</code></pre></td></tr><tr><td>ENDS_WITH</td><td><pre><code>{ "Field": { "name": "domainName", "operator": "ENDS_WITH", "value": "Terms" } }
</code></pre></td></tr><tr><td>INCLUDES</td><td><pre><code>{ "Field": { "name": "domainName", "operator": "CONTAINS", "value": "Bus" } }
</code></pre></td></tr><tr><td>LESS</td><td><pre><code>{ "Field": { "name": "lastModified", "operator": "GREATER", "value": "1440492290300" } }
</code></pre></td></tr><tr><td>LESS_OR_EQUALS</td><td><pre><code>{ "Field": { "name": "lastModified", "operator": "GREATER_OR_EQUALS", "value": "1440492290300" } }
</code></pre></td></tr><tr><td>BETWEEN</td><td><pre><code>{ "Field": { "name": "lastModified", "operator": "BETWEEN", "values": [ "1440492290300", "1440493000000" } }
</code></pre></td></tr><tr><td>NULL</td><td><pre><code>{ "Field": { "name": "description", "operator": "NULL" } }
</code></pre></td></tr><tr><td>IN</td><td><pre><code>{ "Field": { "name": "statusName", "operator": "IN", "values": [ "New", "In Review" ] } }
</code></pre></td></tr><tr><td>EXISTS</td><td><pre><code>{ "Field": { "target": "RelationSource", "operator": "EXISTS", "value": "00000000-0000-0000-0000-000000007001", "name": "assetId" } }
</code></pre></td></tr><tr><td>CR_FILTER_DOMAIN</td><td><pre><code>{ "Field": { "operator": "CR_FILTER_DOMAIN", "value": "00000000-0000-0000-0000-000000006013" } }
</code></pre></td></tr></tbody></table>

{% hint style="info" %}
`EQUALS` and `IN` filters are by default a case sensitive. You can make the filter case insensitive by setting the `caseInsensitive` flag to `true` in the filters body:

```
"Field": { "name": "FullName", "operator": "IN", "caseInsensitive": true, "values": [ "normal", "data quality eDitor" ] }
```

The query matches the lowercase full name to the lowercase values from the `values` section.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/introduction/the-output-module-query-language/filtering-operators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
